org.apache.flume.sink.hdfs

## Class HDFSCompressedDataStream

- java.lang.Object
- - org.apache.flume.sink.hdfs.AbstractHDFSWriter
  - - org.apache.flume.sink.hdfs.HDFSCompressedDataStream

- All Implemented Interfaces:
    Configurable, HDFSWriter

      public class HDFSCompressedDataStream
      extends AbstractHDFSWriter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HDFSCompressedDataStream()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(Event e)`
    `void` | `close()`
    `void` | `configure(Context context)` Request the implementing class to (re)configure itself.
    `void` | `open(String filePath)`
    `void` | `open(String filePath, org.apache.hadoop.io.compress.CompressionCodec codec, org.apache.hadoop.io.SequenceFile.CompressionType cType)`
    `void` | `sync()`

    - ### Methods inherited from class org.apache.flume.sink.hdfs.AbstractHDFSWriter

      `getFsDesiredReplication, getNumCurrentReplicas, hflushOrSync, isUnderReplicated, registerCurrentStream, unregisterCurrentStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HDFSCompressedDataStream

          public HDFSCompressedDataStream()

  - ### Method Detail

    - #### configure

          public void configure(Context context)

      Description copied from interface: `Configurable`

      Request the implementing class to (re)configure itself.

      When configuration parameters are changed, they must be reflected by the component asap.

      There are no thread safety guarantees on when configure might be called.

      Specified by:
        `configure` in interface `Configurable`
      Overrides:
        `configure` in class `AbstractHDFSWriter`

    - #### open

          public void open(String filePath)
                    throws IOException

      Throws:
        `IOException`

    - #### open

          public void open(String filePath,
                  org.apache.hadoop.io.compress.CompressionCodec codec,
                  org.apache.hadoop.io.SequenceFile.CompressionType cType)
                    throws IOException

      Throws:
        `IOException`

    - #### append

          public void append(Event e)
                      throws IOException

      Throws:
        `IOException`

    - #### sync

          public void sync()
                    throws IOException

      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.